import HeroSplit from "../components/HeroSplit";
import AboutLegend from "../components/AboutLegend";
import Footer from "../components/Footer";
import { getDictionary } from "../dictionaries";

export default async function Home({ params }: { params: Promise<{ lang: string }> }) {
  const resolvedParams = await params;
  const lang = resolvedParams.lang as "en" | "tr";
  const dict = await getDictionary(lang);

  return (
    <main>
      <HeroSplit dict={dict} currentLang={lang} />
      <AboutLegend dict={dict} />
      <Footer dict={dict} />
    </main>
  );
}
